Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030119
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2015-06-07 15:252015-06-11 22:43
ReportermtaalView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision4775fc0c799b
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030119: ScrollableResults object should be closed

DescriptionIn Oracle it seems that not closing the ScrollableResults object will result in mem-leaks.
Steps To ReproduceI found 2 places in platform code:
org.openbravo.service.datasource.ADTreeDatasourceService
org.openbravo.service.datasource.LinkToParentTreeDatasourceService
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00301203.0PR15Q3 closedAtulOpenbravo ScrollableResults object should be closed 

-  Notes
(0078197)
hgbot (developer)
2015-06-10 18:33

Repository: erp/devel/pi
Changeset: 4775fc0c799b497cdcb79433d15fca4471ffc6c5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jun 10 18:23:19 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4775fc0c799b497cdcb79433d15fca4471ffc6c5 [^]

Fixes issue 30119: ScrollableResults object should be closed

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
---
(0078203)
alostale (developer)
2015-06-11 08:26

code reviewed + tested
(0078224)
hudsonbot (developer)
2015-06-11 22:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/559a6242635c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-06-07 15:25 mtaal New Issue
2015-06-07 15:25 mtaal Assigned To => alostale
2015-06-07 15:25 mtaal Modules => Core
2015-06-07 15:25 mtaal Triggers an Emergency Pack => No
2015-06-07 15:29 mtaal Relationship added related to 0030120
2015-06-08 08:19 alostale Tag Attached: Performance
2015-06-08 08:19 alostale Status new => acknowledged
2015-06-09 08:57 alostale Status acknowledged => scheduled
2015-06-09 08:57 alostale Assigned To alostale => caristu
2015-06-10 18:33 caristu Review Assigned To => alostale
2015-06-10 18:33 caristu Issue Monitored: alostale
2015-06-10 18:33 hgbot Checkin
2015-06-10 18:33 hgbot Note Added: 0078197
2015-06-10 18:33 hgbot Status scheduled => resolved
2015-06-10 18:33 hgbot Resolution open => fixed
2015-06-10 18:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4775fc0c799b497cdcb79433d15fca4471ffc6c5 [^]
2015-06-11 08:26 alostale Note Added: 0078203
2015-06-11 08:26 alostale Status resolved => closed
2015-06-11 08:26 alostale Fixed in Version => 3.0PR15Q3
2015-06-11 22:43 hudsonbot Checkin
2015-06-11 22:43 hudsonbot Note Added: 0078224


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker